
<div class="mb-2"><strong style="font-size: 0.9rem" nz-typography >Filtrer par :</strong></div>

<form nz-form  [formGroup]="filterform">
  <nz-input-group [nzAddOnBefore]="addOnBeforeTemplate" style="width: fit-content; display: flex" [nzSuffix]="suffixIconSearch">
    <input style="min-width: 150px" type="text" nz-input formControlName="pair" placeholder="Rechercher par nom" />
  </nz-input-group>

  <div class="mt-2">
    <nz-radio-group class="mr-3" formControlName="banned" nzSize="small">
      <label nz-radio-button>tous</label>
      <label nz-radio-button nzValue="allowed">en service(s)</label>
      <label nz-radio-button nzValue="reported">signalée(s)</label>
      <label nz-radio-button nzValue="banned">éliminée(s)</label>
    </nz-radio-group>
  </div>
</form>


<section class="mt-2">
  <div>

    <strong style="font-size: 0.9rem" nz-typography >Trier par :</strong>
    <br>
    <nz-switch nzSize="small" [ngModel]="true" nzCheckedChildren="croissant" nzUnCheckedChildren="décroissant" (click)="onChangeOrder()"></nz-switch>
    <br>
    <nz-radio-group nzName="radiogroup" [(ngModel)]="sorterValue" (ngModelChange)="makeUpdate()">
      <aside>
        <label nz-radio nzValue="pair._id" class="mr-2">date d'ajout</label>
        <label nz-radio nzValue="pair.name" class="mr-2">nom</label>
        <label nz-radio nzValue="pair.exclusion.isExclude" class="mr-2">élimination</label>
        <label nz-radio nzValue="pair.exclusion.severity" class="mr-2">signalement</label>
        <label nz-radio nzValue="pair.marketsForThis" class="mr-2">présente dans [M]</label>
        <label nz-radio nzValue="marketsUsed" class="mr-2">utilisée dans [M]</label>
      </aside>

      <div class="mt-2">
        <label nz-radio nzValue="spreadMoyen_usd" class="mr-2">spread($)</label>
        <label nz-radio nzValue="negativeFreq" class="mr-2">negatif</label>
        <label nz-radio nzValue="positiveFreq" class="mr-2">positif</label>
        <label nz-radio nzValue="notEnoughtVolFreq" class="mr-2">no volume</label>
        <label nz-radio nzValue="isBestFreq" class="mr-2">best pair</label>
      </div>
    </nz-radio-group>

  </div>
</section>

<ng-template #suffixIconSearch>
  <i nz-icon nzType="search"></i>
</ng-template>

<ng-template #addOnBeforeTemplate>
  <nz-select style="width: 150px" [(ngModel)]="searchMod" (ngModelChange)="this.filterform.controls['pair'].updateValueAndValidity({onlySelf : true})" >
    <nz-option nzLabel="Commence par" nzValue="startWith"></nz-option>
    <nz-option nzLabel="Termine par" nzValue="endWith"></nz-option>
    <nz-option nzLabel="Contient" nzValue="contain"></nz-option>
  </nz-select>
</ng-template>
